| Home | Libraries | People | FAQ | More

## Function wvalue

boost::program_options::wvalue —

## Synopsis

    template<typename T> typed_value< T, wchar_t > * wvalue();
    template<typename T> typed_value< T, wchar_t > * wvalue(T * v);

## Description

Creates a typed_value<T> instance. This function is the primary method to create value_semantic instance for a specific type, which can later be passed to 'option_description' constructor.

| Copyright © 2002-2004 Vladimir Prus